// src/node/clipboard.ts
function pbcopy(data) {
  return new Promise(
    (resolve, reject) => {
      import("node:child_process").then(({ spawn }) => {
        const proc = spawn("pbcopy");
        proc.on("error", (err) => reject(err));
        proc.on("close", () => resolve(data));
        proc.stdin.write(data);
        proc.stdin.end();
      }).catch(() => {
      });
    }
  );
}

export {
  pbcopy
};
//# sourceMappingURL=chunk-5SUA5UEX.js.map