"use strict";



var _chunkYELWQAMGcjs = require('../../chunk-YELWQAMG.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/decimal.spec.ts
describe("currency", () => {
  it("should proove basic idea", () => {
    {
      const v = 0.3 - 0.1;
      expect(v).toBe(0.19999999999999998);
    }
    {
      const v = 3 - 1;
      expect(v).toBe(2);
    }
    {
      const v = 0.3 - 0.1;
      const vv = +v.toFixed(2);
      expect(vv).toBe(0.2);
    }
    expect(_chunkYELWQAMGcjs.decimal.call(void 0, 0.123)).toBe(0.12);
    expect(_chunkYELWQAMGcjs.decimal.call(void 0, 0.126)).toBe(0.13);
    expect(_chunkYELWQAMGcjs.decimal.call(void 0, 0.126, 3)).toBe(0.126);
    expect(_chunkYELWQAMGcjs.decimal.call(void 0, 0.126, 1)).toBe(0.1);
    expect(_chunkYELWQAMGcjs.decimal.call(void 0, 0.126, 0)).toBe(0);
    expect(_chunkYELWQAMGcjs.decimalFromCents.call(void 0, 123)).toBe(1.23);
    expect(_chunkYELWQAMGcjs.decimalToCents.call(void 0, 1.23)).toBe(123);
    {
      const v = _chunkYELWQAMGcjs.decimal.call(void 0, 0.3 - 0.1);
      const vv = +v.toFixed(2);
      expect(vv).toBe(0.2);
    }
  });
});
//# sourceMappingURL=decimal.spec.cjs.map