"use strict";require('../../chunk-AQWVSQX2.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-U3MYANOX.cjs');
require('../../chunk-W22QEHSY.cjs');
require('../../chunk-GOM6TL27.cjs');
require('../../chunk-SCSOQDGW.cjs');
require('../../chunk-NYWWZEIH.cjs');
require('../../chunk-RJBXIRPI.cjs');
require('../../chunk-NPK6ED5Y.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-UB27HMP4.cjs');
require('../../chunk-EZIDDVJG.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-H6AB4FMJ.cjs');
require('../../chunk-QT3OZZO4.cjs');
require('../../chunk-D5QVR2K4.cjs');
require('../../chunk-PUXSFUR6.cjs');
require('../../chunk-DW2WZVUB.cjs');
require('../../chunk-AQHSLGFK.cjs');
require('../../chunk-AG2W27IB.cjs');
require('../../chunk-QLIFS36C.cjs');
require('../../chunk-ODBA5SKE.cjs');
require('../../chunk-HBGU4IMK.cjs');
require('../../chunk-UJPWHP47.cjs');
require('../../chunk-SYEV547Z.cjs');
require('../../chunk-5G52PYZN.cjs');
require('../../chunk-F2L2RVEN.cjs');
require('../../chunk-7L2G4SFK.cjs');
require('../../chunk-C5DWDWUS.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-OOAMMLXY.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-R6IDIY2L.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-LXSY24WI.cjs');
require('../../chunk-KMITBP74.cjs');
require('../../chunk-7BMZYEWF.cjs');
require('../../chunk-S4V3EGNS.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-Y6KPVUVD.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-L646RZQB.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-AGQV4BOO.cjs');


var _chunkLURLRIHIcjs = require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-KCBJGJ24.cjs');
require('../../chunk-RPAQV2V5.cjs');
require('../../chunk-SVJWXMAG.cjs');
require('../../chunk-TFJRKEPC.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-DRU33ZUG.cjs');



var _chunkLHP7OTMVcjs = require('../../chunk-LHP7OTMV.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');


var _chunkW3WUDQICcjs = require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-BXM45HLQ.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/data/sorted.spec.ts
describe("sorted", () => {
  const sorted = _chunkLURLRIHIcjs.useSorted.call(void 0, );
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort, index) => ({ index, sort }));
  it("should add correctly", () => {
    expect(sorted.start(items)).toBeLessThan(list[0]);
    expect(sorted.end(items)).toBeGreaterThan(_chunkW3WUDQICcjs.last.call(void 0, list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = _chunkLHP7OTMVcjs.arrayShuffleForce.call(void 0, items);
    expect(shuffledItems.map((el) => el.sort)).not.toEqual(list);
    expect(sorted.items(shuffledItems).map((el) => el.sort)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort: i
      });
    }
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort = sorted.move(1, 8, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = sorted.items(items2);
    const moveItem2 = items2[1];
    _chunkLHP7OTMVcjs.arrayShuffleInPlace.call(void 0, items2);
    moveItem2.sort = sorted.move(8, 1, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sorted.spec.cjs.map