"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { newObj[key] = obj[key]; } } } newObj.default = obj; return newObj; } }// src/node/clipboard.ts
function pbcopy(data) {
  return new Promise(
    (resolve, reject) => {
      Promise.resolve().then(() => _interopRequireWildcard(require("child_process"))).then(({ spawn }) => {
        const proc = spawn("pbcopy");
        proc.on("error", (err) => reject(err));
        proc.on("close", () => resolve(data));
        proc.stdin.write(data);
        proc.stdin.end();
      }).catch(() => {
      });
    }
  );
}



exports.pbcopy = pbcopy;
//# sourceMappingURL=chunk-VXVXQD7V.cjs.map